- Upsert a Pickup by business id for a given TransportRequest
Get a Pickup by business id for a given TransportRequest
Delete a Pickup by business id for a given TransportRequest
Get a Pickup by business Id
Upsert a Pickup by business Id
Delete a Pickup by business Id
Upsert a Pickup by busine...
Upsert pickup information. When if-match is not specified, then no optimistic protection is applied, ie: the last update wins.
Note: It is not possible to update pickups within TransportRequests directly through the Upsert a Pickup by business Id endpoint.
Security
clientCredentials
The RFC7240 Prefer header indicates that a particular server behavior is preferred by the client but is not required for successful completion of the request (see RFC 7240).
The following behavior is supported by this API:
- return=<minimal|representation> is used to suggest the server to return using status code 204 without a resource in the response body (minimal) or using status codes 200 or 201 with the resource in the response body on success (representation).
- Mock serverhttps://developer.conundra.eu/_mock/apis/order-book/order-book-api/transport-requests/{business_id}/orders/pickups/{order_id}
- Order Book API Productionhttps://api.conundra.eu/orderbook/v1/transport-requests/{business_id}/orders/pickups/{order_id}
Comprehensive example of a pickup order using site location
{ "order": { "order_category": "orderCategoryA", "description": "a description", "capacities": [ … ], "mandatory": true, "requirements": { … }, "lifo_groups": [ … ], "outsourcing_cost": 0, "custom_data": { … }, "plan_group": "a plan group", "client": "companyId", "max_time_in_vehicle": { … } }, "pickup": { "site_location": { … }, "stop_time": { … }, "service_time": "PT5M", "sequence": 1, "time_frame": { … }, "color": "red", "labels": [ … ], "custom_data": { … } } }
Response
{ "order": { "business_id": "orderA", "order_category": "orderCategoryA", "description": "a description", "capacities": [ … ], "mandatory": true, "requirements": { … }, "lifo_groups": [ … ], "outsourcing_cost": 0, "custom_data": { … }, "plan_group": "a plan group", "max_time_in_vehicle": { … }, "client": "companyId" }, "pickup": { "site_location": { … }, "visit_location": { … }, "stop_time": { … }, "service_time": "PT5M", "sequence": 1, "time_frame": { … }, "color": "red", "labels": [ … ], "custom_data": { … } } }